'\" t
.\"     Title: winbind_krb5_locator
.\"    Author: [see the "AUTHOR" section]
.\" Generator: DocBook XSL Stylesheets v1.79.1 <http://docbook.sf.net/>
.\"      Date: 12/10/2019
.\"    Manual: 8
.\"    Source: Samba 4.10.11
.\"  Language: English
.\"
.TH "WINBIND_KRB5_LOCATOR" "8" "12/10/2019" "Samba 4\&.10\&.11" "8"
.\" -----------------------------------------------------------------
.\" * Define some portability stuff
.\" -----------------------------------------------------------------
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.\" http://bugs.debian.org/507673
.\" http://lists.gnu.org/archive/html/groff/2009-02/msg00013.html
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.ie \n(.g .ds Aq \(aq
.el       .ds Aq '
.\" -----------------------------------------------------------------
.\" * set default formatting
.\" -----------------------------------------------------------------
.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l
.\" -----------------------------------------------------------------
.\" * MAIN CONTENT STARTS HERE *
.\" -----------------------------------------------------------------
.SH "NAME"
winbind_krb5_locator \- A plugin for MIT and Heimdal Kerberos for detecting KDCs using Windows semantics\&.
.SH "DESCRIPTION"
.PP
This plugin is part of the
\fBsamba\fR(7)
suite\&.
.PP
winbind_krb5_locator
is a plugin that permits MIT and Heimdal Kerberos libraries to detect Kerberos Servers (for the KDC and kpasswd service) using the same semantics that other tools of the Samba suite use\&. This include site\-aware DNS service record lookups and caching of closest dc\&. The plugin uses the public locator API provided by most modern Kerberos implementations\&.
.SH "PREREQUISITES"
.PP
MIT Kerberos (at least version 1\&.5) or Heimdal Kerberos (at least version 1\&.0) is required\&.
.PP
The plugin queries the
\fBwinbindd\fR(8)
daemon which needs to be configured and started separately\&.
.PP
The
winbind_krb5_locator\&.so
file needs to be manually copied to the plugin directory of the system Kerberos library\&. For MIT Kerberos this is often:
/usr/lib/krb5/plugins/libkrb5/\&. For Heimdal Kerberos this is often:
/usr/lib/plugin/krb5/\&. Please check your local Kerberos installation for the correct paths\&. No modification in
/etc/krb5\&.conf
is required to enable the use of this plugin\&.
.PP
After copying the locator plugin to the appropriate plugin directory it should immediately be available for use\&. Users should be able to kinit into their kerberized Windows environment without any modification or servers being put manually into
/etc/krb5\&.conf\&.
.SH "VERSION"
.PP
This man page is part of version 4\&.10\&.11 of the Samba suite\&.
.SH "AUTHOR"
.PP
The original Samba software and related utilities were created by Andrew Tridgell\&. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed\&.
.PP
The winbind_krb5_locator manpage was written by Guenther Deschner\&.
